VERSION 5.00
Begin VB.Form Form1
   Caption         =   "Form1"
   ClientHeight    =   3810
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   3300
   LinkTopic       =   "Form1"
   ScaleHeight     =   3810
   ScaleWidth      =   3300
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton Command1
      Caption         =   "Configure"
      Height          =   375
      Left            =   1800
      TabIndex        =   11
      Top             =   3240
      Width           =   1095
   End
   Begin VB.Frame Frame1
      Caption         =   " Rig "
      Height          =   1095
      Left            =   240
      TabIndex        =   8
      Top             =   2520
      Width           =   1095
      Begin VB.OptionButton Option2
         Caption         =   "#2"
         Height          =   195
         Left            =   120
         TabIndex        =   10
         Top             =   720
         Width           =   735
      End
      Begin VB.OptionButton Option1
         Caption         =   "#1"
         Height          =   375
         Left            =   120
         TabIndex        =   9
         Top             =   240
         Value           =   -1  'True
         Width           =   615
      End
   End
   Begin VB.Label Label8
      Caption         =   "Label8"
      Height          =   255
      Left            =   960
      TabIndex        =   7
      Top             =   1920
      Width           =   1935
   End
   Begin VB.Label Label7
      Caption         =   "Status"
      Height          =   255
      Left            =   240
      TabIndex        =   6
      Top             =   1920
      Width           =   495
   End
   Begin VB.Label Label6
      Caption         =   "Label6"
      Height          =   255
      Left            =   960
      TabIndex        =   5
      Top             =   1320
      Width           =   1935
   End
   Begin VB.Label Label5
      Caption         =   "Mode"
      Height          =   255
      Left            =   240
      TabIndex        =   4
      Top             =   1320
      Width           =   495
   End
   Begin VB.Label Label4
      Caption         =   "0.00"
      Height          =   255
      Left            =   1080
      TabIndex        =   3
      Top             =   720
      Width           =   1815
   End
   Begin VB.Label Label3
      Caption         =   "0.00"
      Height          =   255
      Left            =   1080
      TabIndex        =   2
      Top             =   240
      Width           =   1815
   End
   Begin VB.Label Label2
      Caption         =   "TX"
      Height          =   255
      Left            =   240
      TabIndex        =   1
      Top             =   720
      Width           =   255
   End
   Begin VB.Label Label1
      Caption         =   "RX"
      Height          =   255
      Left            =   240
      TabIndex        =   0
      Top             =   240
      Width           =   255
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim WithEvents OmniRigEngine As OmniRigX
Attribute OmniRigEngine.VB_VarHelpID = -1
Dim Rig As RigX
Dim OurRigNo As Integer


'Form events


Private Sub Form_Load()
  StartOmniRig
End Sub
Private Sub Form_Unload(Cancel As Integer)
  StopOmniRig
End Sub
Private Sub Option1_Click()
  SelectRig 1
End Sub
Private Sub Option2_Click()
  SelectRig 2
End Sub
Private Sub Command1_Click()
  If OmniRigEngine Is Nothing Then Exit Sub
  OmniRigEngine.DialogVisible = True
End Sub


'OmniRig events


Private Sub OmniRigEngine_StatusChange(ByVal RigNumber As Long)
  If RigNumber = OurRigNo Then ShowRigStatus
End Sub
Private Sub OmniRigEngine_ParamsChange(ByVal RigNumber As Long, ByVal Params As Long)
  If RigNumber = OurRigNo Then ShowRigParams
End Sub




'Procedures


Private Sub StartOmniRig()
  On Error GoTo Error
  If Not OmniRigEngine Is Nothing Then Exit Sub

  Set OmniRigEngine = CreateObject("OmniRig.OmniRigX")
  'we want OmniRig interface V.1.1 to 1.99
  'as V2.0 will likely be incompatible  with 1.x
  If OmniRigEngine.InterfaceVersion < &H101 Then GoTo Error
  If OmniRigEngine.InterfaceVersion > &H299 Then GoTo Error
  SelectRig 1
  Exit Sub

Error:
  'report problems
  Set OmniRigEngine = Nothing
  MsgBox "OmniRig is not installed or has a wrong version number"
End Sub



Private Sub StopOmniRig()
  Set Rig = Nothing
  Set OmniRigEngine = Nothing
End Sub



Private Sub SelectRig(NewRigNo As Integer)
  If OmniRigEngine Is Nothing Then Exit Sub

  OurRigNo = NewRigNo

  Select Case NewRigNo
  Case 1
    Set Rig = OmniRigEngine.Rig1
  Case 2
    Set Rig = OmniRigEngine.Rig2
  End Select

  ShowRigStatus
  ShowRigParams
End Sub


Private Sub ShowRigStatus()
  If Rig Is Nothing Then Exit Sub

  Label8.Caption = Rig.StatusStr
End Sub


Private Sub ShowRigParams()
  If Rig Is Nothing Then Exit Sub

  Label3.Caption = Rig.GetRxFrequency / 1000000
  Label4.Caption = Rig.GetTxFrequency / 1000000

  Select Case Rig.Mode
  Case PM_CW_L
    Label6.Caption = "CW"
  Case PM_CW_U
    Label6.Caption = "CW"
  Case PM_SSB_L
    Label6.Caption = "LSB"
  Case PM_SSB_U
    Label6.Caption = "USB"
  Case Else
    Label6.Caption = "Other"
  End Select
End Sub

